Package net.shibboleth.idp.saml.nameid.impl

# Class TransientSAML1NameIdentifierGenerator

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
org.opensaml.saml.common.profile.AbstractNameIdentifierGenerator<NameIdentifier>
org.opensaml.saml.saml1.profile.AbstractSAML1NameIdentifierGenerator
net.shibboleth.idp.saml.nameid.impl.TransientSAML1NameIdentifierGenerator

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `FormatSpecificNameIdentifierGenerator<NameIdentifier>`, `NameIdentifierGenerator<NameIdentifier>`, `SAML1NameIdentifierGenerator`

@ThreadSafeAfterInit public class TransientSAML1NameIdentifierGenerator extends AbstractSAML1NameIdentifierGenerator
Generator for transient `NameIdentifier` objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private Function<ProfileRequestContext,SubjectContext>`
`subjectContextLookupStrategy`
Strategy function to lookup SubjectContext.
`private TransientIdGenerationStrategy`
`transientIdGenerator`
Generator for transients.

## Constructor Summary

Constructors
Constructor
Description
`TransientSAML1NameIdentifierGenerator()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`protected String`
`getIdentifier(ProfileRequestContext profileRequestContext)`
`void`
`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the lookup strategy to use to locate the `SubjectContext`.
`void`
`setTransientIdGenerator(TransientIdGenerationStrategy generator)`
Set the generator of transient IDs.

### Methods inherited from class org.opensaml.saml.saml1.profile.AbstractSAML1NameIdentifierGenerator

`doGenerate`

### Methods inherited from class org.opensaml.saml.common.profile.AbstractNameIdentifierGenerator

`generate, getDefaultIdPNameQualifierLookupStrategy, getDefaultSPNameQualifierLookupStrategy, getEffectiveIdPNameQualifier, getEffectiveSPNameQualifier, getFormat, getIdPNameQualifier, getSPNameQualifier, getSPProvidedID, isOmitQualifiers, setActivationCondition, setDefaultIdPNameQualifierLookupStrategy, setDefaultSPNameQualifierLookupStrategy, setFormat, setIdPNameQualifier, setOmitQualifiers, setSPNameQualifier, setSPProvidedId, test`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Methods inherited from interface org.opensaml.saml.saml1.profile.SAML1NameIdentifierGenerator

`generate`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### subjectContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,SubjectContext> subjectContextLookupStrategy
Strategy function to lookup SubjectContext.

### transientIdGenerator

@NonnullAfterInit private TransientIdGenerationStrategy transientIdGenerator
Generator for transients.

## Constructor Details

### TransientSAML1NameIdentifierGenerator

public TransientSAML1NameIdentifierGenerator()
Constructor.

## Method Details

### setSubjectContextLookupStrategy

public void setSubjectContextLookupStrategy(@Nonnull Function<ProfileRequestContext,SubjectContext> strategy)
Set the lookup strategy to use to locate the `SubjectContext`.

Parameters:
  `strategy` - lookup function to use

### setTransientIdGenerator

public void setTransientIdGenerator(@Nonnull TransientIdGenerationStrategy generator)
Set the generator of transient IDs.

Parameters:
  `generator` - transient ID generator

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractIdentifiedInitializableComponent`
Throws:
  `ComponentInitializationException`

### getIdentifier

@Nullable protected String getIdentifier(@Nonnull ProfileRequestContext profileRequestContext) throws SAMLException

Overrides:
  `getIdentifier` in class `AbstractNameIdentifierGenerator<NameIdentifier>`
Throws:
  `SAMLException`